#include <bits/stdc++.h>

#define IT uint64_t

int main() 
{
	IT N, sc = 0, poslednje = 0;
	IT scenarija[100001] = { 0 };
	IT pd[100001] = { 0 };
	
	std::cin >> N;
	std::vector<IT> jela(N), recepti(N);
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		jela[i] = x;
	}
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		recepti[i] = x;
	}
	
	for(IT i = 0; i < N; i++)
	{
		IT x;
		std::cin >> x;
		scenarija[x]++;
	}
	
	std::sort(jela.begin(), jela.end());
	
	for(const int jelo : jela)
	{
		if(poslednje != jelo)
			poslednje = jelo;
		else
		{
			sc += pd[jelo];
			continue;
		}
		
		for(IT i = 0; i < N; i++)
		{
			if(recepti[i] == jelo)
			{
				pd[jelo] += scenarija[i + 1];
				sc += scenarija[i + 1];
			}
		}
	}
	
	std::cout << sc;
	
	return 0;
}